<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.find.ScannerRange</name>
<version>3</version>
<engineversion>24</engineversion>
<description>Find the scanning range for a ship from installed extensions</description>
<arguments>
<argument index="1" name="RefObj" type="Var/Ship/Station" desc="find scanner range of ship" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;copyright&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;third&#160;party&#160;scripts,&#160;but</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var>please&#160;mention&#160;&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>returns&#160;the&#160;range&#160;of&#160;the&#160;scanners&#160;onboard&#160;a&#160;specified&#160;ship.</var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="008" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""></line>
<line linenr="011" indent=""><var>skip&#160;if&#160;not&#160;</var><var>$RefObj</var><text>&#160;</text><var>==</var><text>&#160;</text><var>null</var></line>
<line linenr="012" indent="&#160;"><var>$RefObj&#160;=&#160;</var><var>[THIS]</var></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><comment><text>*&#160;</text><var>get&#160;scan&#160;range&#160;from&#160;installed&#160;equpipment</var></comment></line>
<line linenr="015" indent=""><var>if&#160;</var><var>$RefObj&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Triplex&#160;Scanner</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="016" indent="&#160;"><var>$ScanRange&#160;=&#160;</var><var>60000</var></line>
<line linenr="017" indent=""><var>else&#160;if&#160;</var><var>$RefObj&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Duplex&#160;Scanner</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="018" indent="&#160;"><var>$ScanRange&#160;=&#160;</var><var>40000</var></line>
<line linenr="019" indent=""><text>else</text></line>
<line linenr="020" indent="&#160;"><var>$ScanRange&#160;=&#160;</var><var>20000</var></line>
<line linenr="021" indent=""><text>end</text></line>
<line linenr="022" indent=""></line>
<line linenr="023" indent=""><text>return&#160;</text><var>$ScanRange</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.find.ScannerRange" /><sval type="int" val="24" /><sval type="string" val="Find the scanning range for a ship from installed extensions" /><sval type="int" val="3" /><sval type="int" val="0" /><sval type="array" size="2"><sval type="string" val="RefObj" /><sval type="string" val="ScanRange" /></sval><sval type="array" size="10"><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610612216" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610611453" /><sval type="int" val="9" /><sval type="int" val="1048628" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="60000" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610610683" /><sval type="int" val="9" /><sval type="int" val="1048627" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="40000" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="20000" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="22" /><sval type="string" val="find scanner range of ship" /></sval></sval><sval type="array" size="15"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, copyright 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in third party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="please mention  Xai Corporation in your documentation" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="returns the range of the scanners onboard a specified ship." /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="2" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="2" /><sval type="int" val="1" /><sval type="string" val="get scan range from installed equpipment" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
